nz-spin([nzSpinning]="loading", nzTip="Loading user informations", [nzDelay]="200")
  div(nz-row)
    div(nz-col, [nzSpan]="12")
      nz-card(*ngIf="user", [nzTitle]="titleTemplate", [nzExtra]="extraTemplate")
        .flex.flex-column
          span.mb1 Username: {{ user.username }}
          span.mb1 Role:&nbsp;
            ryax-status-tag([label]="user.role | ryaxUserRoleLabel", [color]="user.role | ryaxUserRoleColor")
          span.mb1 Email: {{ user.email }}
          span.mb1(*ngIf="hasDescription") Description:
          span.description(*ngIf="hasDescription") {{ user.description }}
      ng-template(#titleTemplate)
        span Personal information
      ng-template(#extraTemplate)
        ryax-action-button.mr1(size="small", shape="circle", icon="edit", tooltipText="Edit user", (click)="onEditInfos(user)")
        ryax-action-button.mr1(size="small", shape="circle", icon="safety", tooltipText="Edit password", (click)="onEditPassword(user)")
